import { TileRequest } from './TileRequest';

/**
 * @description The required input values for the tile renderer
 */
export interface TileInput<T> extends TileRequest {
  /**
   * @description The name of the table, default is "public.points"
   */
  table?: string;

  /**
   * @description The geometry column name, default is "wkb_geometry". This column should be of type Geometry in PostGIS
   */
  geometry?: string;

  /**
   * @description The filters to apply, default is none
   */
  filters?: T;

  /**
   * @description Unique ID of the request, default is an empty string
   */
  id?: string;
}
